org.crosswire.common.swing

## Class MapTableModel.StringPair

- java.lang.Object
- - org.crosswire.common.swing.MapTableModel.StringPair

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    MapTableModel

      private static final class MapTableModel.StringPair
      extends Object
      implements Serializable

  A simple holder of a key/value pair of Strings.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private String` | `key` `key` is the string representation of a Map entry key
    `private static long` | `serialVersionUID` Serialization ID
    `private String` | `value` `value` is the string representation of a Map entry value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapTableModel.StringPair(String k, String v)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()`
    `String` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          private String key

      `key` is the string representation of a Map entry key

    - #### value

          private String value

      `value` is the string representation of a Map entry value

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MapTableModel.StringPair

          MapTableModel.StringPair(String k,
                                  String v)

      Parameters:
        `k` - The non-null key.
        `v` - The non-null value.

  - ### Method Detail

    - #### getKey

          public String getKey()

      Returns:
        Returns the key.

    - #### getValue

          public String getValue()

      Returns:
        Returns the value.